scala.tools.nsc.backend.icode.TypeStacks

# NoTypeStack

#### object NoTypeStack extends ICodes.TypeStack

Linear Supertypes
ICodes.TypeStack, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NoTypeStack
2. TypeStack
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def agreesWith(other: ICodes.TypeStack): Boolean

   A TypeStack agrees with another one if they have the same length and each type kind agrees position-wise.

   A TypeStack agrees with another one if they have the same length and each type kind agrees position-wise. Two types agree if one is a subtype of the other.

   Definition Classes
     TypeStack

7. #### def apply(n: Int): ICodes.TypeKind

   Definition Classes
     TypeStack

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(other: Any): Boolean

    Definition Classes
      TypeStack → AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      TypeStack → AnyRef → Any

15. #### def head: ICodes.TypeKind

    Definition Classes
      TypeStack

16. #### def isEmpty: Boolean

    Definition Classes
      TypeStack

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def length: Int

    Definition Classes
      TypeStack

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def nonEmpty: Boolean

    Definition Classes
      TypeStack

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def pop(n: Int): List[ICodes.TypeKind]

    Drop the first n elements of the stack.

    Drop the first n elements of the stack.

    Definition Classes
      TypeStack

24. #### def pop: ICodes.TypeKind

    Removes the value on top of the stack, and returns it.

    Removes the value on top of the stack, and returns it. It assumes the stack contains at least one element.

    Definition Classes
      TypeStack

25. #### def pop2: (ICodes.TypeKind, ICodes.TypeKind)

    Return the topmost two values on the stack.

    Return the topmost two values on the stack. It assumes the stack is large enough. Topmost element first.

    Definition Classes
      TypeStack

26. #### def pop3: (ICodes.TypeKind, ICodes.TypeKind, ICodes.TypeKind)

    Return the topmost three values on the stack.

    Return the topmost three values on the stack. It assumes the stack is large enough. Topmost element first.

    Definition Classes
      TypeStack

27. #### def push(t: ICodes.TypeKind): Unit

    Push a type on the type stack.

    Push a type on the type stack. UNITs are ignored.

    Definition Classes
      TypeStack

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      TypeStack → AnyRef → Any

30. #### var types: ICodes.Rep

    Definition Classes
      TypeStack

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ICodes.TypeStack

### Inherited from AnyRef

### Inherited from Any

### Ungrouped